Bug 235435 - scim prevents Ctrl-space completion in Eclipse
Summary: scim prevents Ctrl-space completion in Eclipse
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: scim (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All All
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 18:58 UTC by Andrew Overholt
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 03:49:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Overholt 2007-04-05 18:58:51 UTC
I installed F7 test2's live CD.  I've upgrade since to rawhide.  I was having a problem
with a patch in Eclipse that added completion support to the specfile editor.  Completion
is activated by Ctrl-space which was being eaten the the SCIM Input Bridge input method.
 Is this a bug or this expected behaviour?

Comment 1 Jens Petersen 2007-04-06 03:22:43 UTC
Well currently scim uses Ctrl-Space as the default hotkey to activate
and deactivate IM.  It is easy to change that hotkey in scim-setup,
but perhaps we should drop the default binding for non-Asian desktops.

Comment 2 Andrew Overholt 2007-04-06 23:55:59 UTC
(In reply to comment #1)
> Well currently scim uses Ctrl-Space as the default hotkey to activate
> and deactivate IM.  It is easy to change that hotkey in scim-setup,
> but perhaps we should drop the default binding for non-Asian desktops.

That would be great, IMHO.

Comment 3 Jens Petersen 2007-04-11 08:22:52 UTC
Should be fixed for new users in scim-1.4.5-13.fc7.


Comment 4 Andrew Overholt 2007-04-13 15:06:37 UTC
Thanks, I just re-installed it and started scim-bridge and I got completion in
Eclipse with Ctrl-space.

Comment 5 Andrew Overholt 2007-04-13 15:11:37 UTC
Bah, I didn't realize that my input method wasn't set to SCIM Bridge.  Is there
something I need to do other than `yum -y install scim-bridge-gtk; scim`?

Comment 6 Warren Togami 2007-04-19 03:49:13 UTC
Sorry, as decided in Bug #236974 we decided that we must revert this change. 
Instead of disabling CTRL-Space by default in non-Asian languages (which is
argued in that other bug to be problematic in other ways), SCIM will simply be
disabled by default for non-Asian languages.

Ramifications:
1) Non-Asian users wishing to use SCIM will need to activate it explicitly by
using im-chooser.
2) If you enable SCIM and wish to avoid conflicting with emacs or eclipse, you
must reconfigure SCIM yourself manually.  A user of emacs or eclipse is likely
to be more technical and can handle this more readily than a non-technical user.

I realize that this is not a satisfactory solution to this issue, but this is
the best solution when faced with conflicting requirements.  We must default to
settings that cater to the least common denominator, the most common users with
no technical experience.

Comment 7 Jens Petersen 2007-04-23 08:42:34 UTC
(In reply to comment #5)
> Bah, I didn't realize that my input method wasn't set to SCIM Bridge.  Is there
> something I need to do other than `yum -y install scim-bridge-gtk; scim`?

Installing scim-bridge-gtk and scim should be fine.

(In reply to comment #6)
> I realize that this is not a satisfactory solution to this issue, but this is
> the best solution when faced with conflicting requirements.  We must default to
> settings that cater to the least common denominator, the most common users with
> no technical experience.

I assume Andrew was not really looking to use scim but just wanted to have
sane defaults, so not installing scim by default or disabling it for
non-Asian desktops would address that.  (It still wouldn't help Asian users
who want to use Emacs or Eclipse say, but I agree with Warren's
comments above for those cases.)



Note You need to log in before you can comment on or make changes to this bug.